datablock AudioDescription( Quake3WeaponHitSoundVolume : AudioClose3d )
{
	volume = 0.8;
};

datablock AudioProfile( quake3WeaponHitSound )
{
	filename = "./hitsound.wav";
	description = Quake3WeaponHitSoundVolume;
	preload = true;
};

package quake3WeaponHitNotice
{
	function Armor::Damage( %this, %obj, %src, %pos, %dmg, %type )
	{
		parent::Damage( %this, %obj, %src, %pos, %dmg, %type );

		if( !isObject( getMinigameFromObject( %obj ) ) )
		{
			return;
		}

		if ( !isObject( %src.client ) )
		{
			return;
		}

		%src.client.play2D( quake3WeaponHitSound );
	}

	function gameconnection::ondeath( %this, %cl, %pl, %type, %loc )
	{
		parent::onDeath( %this, %cl, %pl, %type, %loc );

		if( !isObject( getMinigameFromObject( %this ) ) )
		{
			return;
		}

		if ( !isObject( %cl ) )
		{
			return;
		}
		%cl.play2D( quake3WeaponHitSound );
	}
};
activatePackage( "quake3WeaponHitNotice" );